Query On Hold Reasons
curl --request GET \
--url https://api.jtl-cloud.com/erp/v1/onHoldReasons \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/onHoldReasons"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/onHoldReasons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"Name": "<string>",
"IsMergeable": true,
"ItemsNotUsedForPurchaseList": true
}
]Master Data
Query On Hold Reasons
deprecated
Query all on hold reasons for sales orders
GET
/
v1
/
onHoldReasons
Query On Hold Reasons
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Response
Returns all payment methods.
Unique ID to identify an on hold reason.
Name of the on hold reason.
Indicates if orders with an on hold reason are allowed to be merged with other orders from the same customer.
If this option is enabled, then the items in this order are not used for calculating the purchase list.
Was this page helpful?